/*These styles are for content, i.e tables and griviews etc*/


@media (min-width: 768px) {

    .navbar-header {
        /*margin:15px 0 0 0;*/
    }

    .navbar-expand-lg .navbar-nav {
        flex-direction: row;
        min-width: 150px;
    }

    .navbar {
        -webkit-box-shadow: 0 4px 5px 0 rgba(0,0,0,0.14), 0 5px 10px 0 rgba(0,0,0,0.12), 0 2px 4px -1px rgba(0,0,0,0.2);
        box-shadow: 0 4px 5px 0 rgba(0,0,0,0.14), 0 5px 10px 0 rgba(0,0,0,0.12), 0 2px 4px -1px rgba(0,0,0,0.2);
    }



    .disable-scrollbars::-webkit-scrollbar {
        background: transparent; /* Chrome/Safari/Webkit */
        width: 0px;
    }

    .disable-scrollbars {
        scrollbar-width: none; /* Firefox */
        -ms-overflow-style: none; /* IE 10+ */
    }
}



@media (max-width: 768px) {
    .hide-overflow {
        overflow-x: scroll;
    }
}





/**/

/*.tableFixHead {
    overflow: auto;
    height: 100px;
    width: 240px;
}

    .tableFixHead thead th {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .tableFixHead tbody th {
        position: sticky;
        left: 0;
    }
*/


/* materpage TWEAKS */
/*(cant start a css file with comments)*/


@media screen and (max-width: 640px) {
    .dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter {
        /*float: none;*/
        text-align: initial !important;
    }
}


/*caption {
    padding-top: .75rem;
    padding-bottom: .75rem;
    color: #6c757d;
    text-align: left;
     caption-side:top!important; 
}*/




caption {
    caption-side: top !important;
    text-align: left;
    font-weight: bold;
    font-size: 16px;
    padding: 0px 0px 0px 4px !important;
    background-color: rgba( 239,239,239,0.78 );
    /*background: white;*/
}

.btn-excel-export {
    color: #ffffff !important;
    background: #0088cc;
    display: inline-block;
    padding: 5px;
    text-decoration: none !important;
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 12px;
}


/*modal popup stuff*/

.bg {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: hidden;
    padding: 0;
    margin: 0;
    background-color: #000;
    filter: alpha(opacity=50);
    opacity: 0.6;
    z-index: 100002;
}

.popupbackground {
    background-color: #000;
    filter: alpha(opacity=50);
    opacity: 0.5;
    z-index: 1;
}

.message {
    position: fixed;
    top: 20%;
    left: 30%;
    padding: 50px;
    width: 50%;
    height: 50%;
    z-index: 100003;
    /*background-color: #E9EBEB;*/
    /*border: solid 1px #000;*/
    /*background: 
   url(/_layouts/1033/images/Progress.gif) no-repeat,
   url(/SiteAssets/NMR_events_small.jpg) 600px 500px no-repeat;*/
    /*background-image:url('/usercontrols/images/turkey.gif');
    background-color: white;*/
    /*background-image: url('/_layouts/1033/images/Progress.gif');
    background-color: white;*/
    /*background-image:url('/usercontrols/images/glowingjack.gif');
    background-color: black;*/
    /*new loader spinner*/
    background-image: url('/images/loading-25.gif');
    /*background-color: #fff;*/
    background-repeat: no-repeat;
    background-position: center;
}







/* UTILITY STUFF */
/*.LightBorder {
    border: 1px solid #d7d7d7;
}*/

.centerAlign{
    text-align:center!important;
}

.hidden {
    display: none;
    visibility: hidden;
}

.noPadding {
    padding: 0px !important;
}

.progressBarPadding td:not(.noPadding) {
 /* padding:  0px 15px 0px 5px !important*/
}

.progressBarPadding span {
    padding: 3px 0px!important;
}



.SelectedRowStyle {
    background-color: #fff19d !important;
    border: 3px solid black !important;
}



.gridHover tr:hover:not(:first-child) {
    background-color: #b7b7b7;
}


/*    .stripe tr:nth-child(even):not(:first-child) {
        background-color: #f9f9f9;
}*/

/*	NewGrid type style for non tables	*/
    .NewStyle {
        font-size: 12px;

    }

    .NewStyle a {
        color: #428bca;
        text-decoration: none;
    }

    .NewStyle a:hover {
        text-decoration: underline;
    }


/*	NewGrid/DDListView	*/

.NewGrid {
    border: 1px solid #d7d7d7;
    /*color: #666;*/
}

    .NewGrid td:not(.noPadding), .NewGrid .td:not(.noPadding) {
        white-space: nowrap;
        padding: 3px 15px 3px 3px;
    }

    .NewGrid th {
        padding: 4px;
        font-size: 12px !important;
        border: 1px solid #d7d7d7;
    }


    .NewGrid td{
        text-align: inherit;
        border: 1px solid #d7d7d7;
        font-size: 12px !important;
    }



.NewGrid .th a, .NewGrid th a {
    color: inherit;
    text-decoration: none;
}


    .NewGrid td a, .NewGridRpt td a {
        color: #428bca;
        text-decoration: none;
    }


    .NewGrid a:hover {
        text-decoration: underline;
    }








/* fix datatables styles*/

/*table.dataTable.hover tbody tr:hover, table.dataTable.display tbody tr:hover {
    background-color: #b7b7b7 !important;
}*/


/*table.dataTable thead th, table.dataTable thead td {
     padding: 2px 18px!important; 
     border: 1px solid #d7d7d7!important;
     color:#666!important;
}*/



/* Start NewGrid Repeater*/

.NewGridRpt {
    border-collapse: collapse !important;
    width:100%;
}


    .NewGridRpt tr:hover:not(.th) {
        background-color: #b7b7b7;
    }

/*NewGridRpt.dataTable tbody th, table.dataTable tbody td {
     padding: 4px!important; 
}*/

.ui-widget-content {
    font-size: 12px;
}


.NewGridRpt td, .NewGridRpt th {
    text-align: inherit;
    padding: 4px !important;
    border: 1px solid #d7d7d7 !important;
    font-size: 12px !important;
}

.NewGridRpt td {
    white-space: nowrap;
}

.NewGridRpt th {
    padding-right: 20px !important;
}

.NewGridRpt th select {
     font-weight: bold !important;
     font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif !important;
}


.NewGridRpt a:hover {
    text-decoration: underline;
}

/*END NEW GRID REPEATER*/



.ui-tabs-panel {
    border: 1px solid #d7d7d7 !important;

}

.ui-widget.ui-widget-content {
    border: none !important;
}

.ui-tabs .ui-tabs-panel {
    padding: 0em .4em;
}

.ui-tabs .ui-tabs-nav .ui-tabs-anchor {
    /* padding: 0.25em 0.5em;*/
}

.ui-widget-header {
    border: none;
}

.ui-tabs .ui-tabs-nav {
    background: white;
    font-size: 14px;
}


.ui-tabs .ui-tabs-panel {
    padding: 0em .2em;
    overflow: overlay;
    padding-bottom:30px;
    /*overflow: scroll;*/
}



/*NEW TABPANELS COLORS*/
.LightBlueGrayTabStyle .ajax__tab_header {
    /*font-family: Tahoma, Arial, Sans-Serif;*/
    /*font-size: 14px;*/
    /*font-weight:bold;*/
    display: block !important;
    background: url("/../usercontrols/Images/tabtest1.gif") repeat-x bottom;
}

    .LightBlueGrayTabStyle .ajax__tab_header .ajax__tab_outer {
        border-color: #222;
        color: #222;
        padding-left: 5px;
        margin-right: 1px;
        border: solid 1px #d7d7d7;
        background-color: #F5F5F5;
    }

    .LightBlueGrayTabStyle .ajax__tab_header .ajax__tab_inner {
        border-color: #666;
        color: #666;
        padding: 3px 5px 2px 0px;
        background-color: #F5F5F5;
    }

.LightBlueGrayTabStyle .ajax__tab_hover .ajax__tab_outer {
    background-color: #DEDEDE;
}

.LightBlueGrayTabStyle .ajax__tab_hover .ajax__tab_inner {
    /*color: #fff;*/
    background-color: #DEDEDE;
}

.LightBlueGrayTabStyle .ajax__tab_active .ajax__tab_outer {
    border-bottom-color: #ffffff;
    background-color: #ffffff;
}

.LightBlueGrayTabStyle .ajax__tab_active .ajax__tab_inner {
    color: #000;
    border-color: #333;
    background-color: #ffffff;
}

.LightBlueGrayTabStyle .ajax__tab_body {
    /*font-family: verdana,tahoma,helvetica;*/
    /*font-size: 10pt;*/
    background-color: #fff;
    border-top-width: 0;
    border: solid 1px #d7d7d7;
    border-top-color: #ffffff;
    padding: 8px;
}



/*CALENDAR STYLE*/



.ajax__calendar_footer {
    height: auto !important;
}

.ajax__calendar_container {
    background-color: White;
    border: solid 1px #d7d7d7 !important;
    /*font-family: arial,helvetica,clean,sans-serif;*/
    font-family: inherit !important;
    cursor: default;
    width: 205px;
    /*font-size: 12px;*/
    text-align: center;
    padding: 0px;
}

    .ajax__calendar_container td {
        border: none !important;
    }

.ajax__calendar_body {
    height: 139px;
    /*width: 205px;*/
    width: 100% !important;
    position: relative;
    overflow: hidden;
}

.ajax__calendar_days, .ajax__calendar_months, .ajax__calendar_years {
    top: 0px;
    left: 0px;
    height: 139px;
    width: 195px;
    padding: 5px;
    position: absolute;
    text-align: center;
}

    .ajax__calendar_days table {
        border-spacing: 0;
        border-collapse: collapse;
        font: 100%;
        text-align: center;
        width: 100%;
    }

.ajax__calendar_header {
    height: 22px;
    width: 100%;
    /*font-size: 10pt;*/
    font-weight: bold;
    text-align: center;
    padding-top: 3px;
}

.ajax__calendar_prev {
    margin-top: 2px;
    margin-left: 4px;
    height: 15px;
    width: 25px;
    cursor: pointer;
    float: left;
}

.ajax__calendar_next {
    margin-top: 2px;
    margin-right: 4px;
    height: 15px;
    width: 25px;
    cursor: pointer;
    float: right;
}

.ajax__calendar_title {
    cursor: pointer;
    font-weight: bold;
    text-align: center;
}


.ajax__calendar_dayname {
    padding-left: 3px;
    padding-right: 3px;
    margin-bottom: 5px;
    margin-left: 2px;
    margin-right: 2px;
    text-align: center;
    font-weight: 700;
    /*font-size: 10pt;*/
    color: #000;
    /*border-bottom: solid 1px #a6a6a6;*/
}

.ajax__calendar_day, .ajax__calendar_month, .ajax__calendar_year {
    padding: 0px;
    color: #000;
    text-align: center;
    /*padding: 0pt 2px;*/
}

.ajax__calendar_hover .ajax__calendar_day, .ajax__calendar_hover .ajax__calendar_month, .ajax__calendar_hover .ajax__calendar_year, .ajax__calendar_hover .ajax__calendar_title {
    color: #0066cc;
}

.ajax__calendar_other .ajax__calendar_day, .ajax__calendar_other .ajax__calendar_year {
    color: #a6a6a6 !important;
}

.ajax__calendar_active .ajax__calendar_day {
    color: #0066cc;
    border: 1px solid black;
    background-color: Aqua;
}

/* Modal Popup Styles*/
.popupFormBG {
    background-color: #CFF;
}

    .popupFormBG div {
        background-color: #CFF;
    }

    .popupFormBG label {
        width: 30%;
        float: left;
        text-align: left;
    }

    .popupFormBG td {
        width: 50%;
    }



